=== modified file 'po/hu.po'
--- po/hu.po	2006-08-20 13:02:35 +0000
+++ po/hu.po	2006-08-25 10:23:30 +0000
@@ -1,17 +1,16 @@
-# SOME DESCRIPTIVE TITLE.
+# Hungarian translation of Olive
 # Copyright (C) 2006 Szilveszter Farkas (Phanatic) <Szilveszter.Farkas@gmail.com>
 # This file is distributed under the same license as the Olive package.
 # Szilveszter Farkas (Phanatic) <Szilveszter.Farkas@gmail.com>, 2006.
 #
-#, fuzzy
 msgid ""
 msgstr ""
 "Project-Id-Version: Olive 0.1\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2006-08-20 13:16+0200\n"
-"PO-Revision-Date: 2006-08-20 14:01+0200\n"
+"PO-Revision-Date: 2006-08-24 20:11+0200\n"
 "Last-Translator: Szilveszter Farkas (Phanatic) <Szilveszter.Farkas@gmail.com>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language-Team: Hungarian\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'setup.py'
--- setup.py	2006-08-21 23:47:24 +0000
+++ setup.py	2006-08-25 10:23:30 +0000
@@ -17,6 +17,42 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 from distutils.core import setup
+from distutils.command.install_data import install_data
+from distutils.dep_util import newer
+from distutils.log import info
+import os
+import glob
+
+class InstallData(install_data):
+	def run(self):
+		self.data_files.extend(self._compile_po_files())
+		install_data.run(self)
+
+	def _compile_po_files(self):
+		data_files = []
+		PO_DIR = 'po'
+		for po in glob.glob(os.path.join(PO_DIR,'*.po')):
+			lang = os.path.basename(po[:-3])
+			# It's necessary to compile in this directory (not in po_dir)
+			# because install_data can't rename file
+			mo = os.path.join('build', 'mo', lang + '.mo')
+			
+			directory = os.path.dirname(mo)
+			if not os.path.exists(directory):
+				info('creating %s' % directory)
+				os.makedirs(directory)
+			
+			if newer(po, mo):
+				# True if mo doesn't exist
+				cmd = 'msgfmt -o %s %s' % (mo, po)
+				info('compiling %s -> %s' % (po, mo))
+				if os.system(cmd) != 0:
+					raise SystemExit('Error while running msgfmt')
+
+				dest = os.path.dirname(os.path.join('share', 'locale', lang, 'LC_MESSAGES', 'olive.mo'))
+				data_files.append((dest, [mo]))
+		
+		return data_files
 
 setup(name='Olive',
       version='0.1',
@@ -43,5 +79,7 @@
                                    'icons/refresh.png']),
                   ('share/applications', ['olive-gtk.desktop']),
                   ('share/pixmaps', ['icons/olive-gtk.png'])
-                 ]
-     )
+                 ],
+	cmdclass={'install_data': InstallData
+			}
+	)

